﻿using DataVAPI.ServerDB.MongoDB;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataVAPI.Model
{
    /// <summary>
    /// 告警消息表
    /// </summary>
    public class AlarmTable : BaseEntity
    {
        /// <summary>
        /// 告警时间
        /// </summary>
        public string AlarmTime { get; set; }
        /// <summary>
        /// 告警类型：1 轻微 2：一般 3 严重
        /// </summary>
        public string AlarmType { get; set; }
        /// <summary>
        /// 告警消息
        /// </summary>
        public string AlarmMessage { get; set; }
        /// <summary>
        /// 告警值
        /// </summary>
        public string AlarmVla { get; set; }
        /// <summary>
        /// IP 地址
        /// </summary>
        public string IP { get; set; }
        /// <summary>
        /// 状态描述
        /// </summary>
        public string StatusMS { get; set; }
        /// <summary>
        /// 状态颜色
        /// </summary>
        public object StatusColor { get; set; }
    }
}
